---
# A list of required commit statuses per branch in driving repo. Accept both
# string and regex. The first match wins. For that being said, the order
# does matter.
# Merge queue, lite merge queue and update branch job will use those information
# to determine whether a PR is able to be merged into its target branch.
# Note: Updates in this file take effect with a new MQ docker image deployment.
# Details could be found at "Deployment" session in README.md
######### Place branch name string as key below #########
default:
  - pull_request
  - gpu
  - clang
  - reviewable
  - custom_jobs
master:
  - pull_request
  - gpu
  - clang
  - reviewable
  - custom_jobs
  - zimbot_required
  # Note: These ones aren't required to get into the vehicle merge queue.
  - ccb
  - merge # Merge queue enabled
release/qa_test:
  - reviewable
  - merge # Merge queue enabled
develop/firmware:
  - pull_request
  - gpu
  - clang
  - reviewable
  - custom_jobs
  - fw_smoke_tests
develop/maestro:
  - pull_request
  - reviewable
  - custom_jobs
  - maestro_integration_test
######### Place branch name regex as key below #########
# Do NOT add ^ and/or $, they may cause regex match failure.
release/firmware.*:
  - pull_request
  - gpu
  - clang
  - reviewable
  - custom_jobs
  - fw_smoke_tests
release/emu-south-bringup-.*:
  - clang
  - custom_jobs
  - gpu
  - pull_request
  - reviewable
